pub fn sum_of_multiples(x: i64, factors: &Vec<i64>) -> i64 {
    let mut unique_multiples: Vec<i64> = Vec::new();
    for i in factors{
        for j in 1..x{
            if j % i == 0{
                if !unique_multiples.contains(&j){
                    unique_multiples.push(j);
                }
            }
        }
    }
    let mut sum: i64 = 0;
    for i in unique_multiples{
        sum += i;
    }
    return sum;
}